backend:
  name: gitea
  repo: log101/log101-dot-dev # Path to your Gitea repository
  app_id: 2cb1c31c-4c74-4272-ac74-5d60a4b5c9ab # The Client ID provided by Gitea
  api_root: https://git.acayip.dev/api/v1 # API URL of your Gitea instance
  base_url: https://git.acayip.dev # Root URL of your Gitea instance
  auth_endpoint: https://git.acayip.dev/login/oauth/authorize
  branch: draft
collections:
  - name: "blog" # Used in routes, e.g., /admin/collections/blog
    label: "Blog" # Used in the UI
    folder: "src/content/blog" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}" # Filename template, e.g., YYYY-MM-DD-title.md
    format: frontmatter
    fields: # The fields for each document, usually in front matter
      - { label: "Taslak", name: "draft", widget: "boolean", default: true }
      - { label: "Başlık", name: "title", widget: "string" }
      - { label: "Tarih", name: "date", widget: "datetime" }
      - { label: "Özet", name: "summary", widget: "string" }
      - { label: "Kategori", name: "category", widget: "select", options: ["fikir", "teknik", "edebiyat", "ansiklopedi"] }
      - { label: "Alt Kategori", name: "subcategory", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown" }
media_folder: "public/images"
public_folder: "/images"
